path: /build/build/plasma-vault-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="networkmanager" emerge kde-plasma/plasma-vault:5 -pv -t && \
    USE="networkmanager" emerge -j ${JOBS} --nodeps kde-plasma/plasma-vault:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/plasma-vault && luet-portage --dir /pkgdir/plasma-vault
    kde-plasma/plasma-vault:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: plasma-vault
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - networkmanager
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Plasma applet and services for creating encrypted vaults
    uri:
    - https://kde.org/ https://cukic.co/2017/02/03/vaults-encryption-in-plasma/
    license: LGPL-3
    buildtimestamp: 2024-02-15 19:15:23.164417451 +0000 UTC m=+218.549908655
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtdeclarative-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
        >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kactivities-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
        >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-plasma/libksysguard-5.27.9:5
        networkmanager? ( >=kde-frameworks/networkmanager-qt-5.98.0:5 ) dev-util/desktop-file-utils
        x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
      IUSE: networkmanager debug
      RDEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtdeclarative-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
        >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kactivities-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
        >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/plasma-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-plasma/libksysguard-5.27.9:5
        networkmanager? ( >=kde-frameworks/networkmanager-qt-5.98.0:5 ) >=dev-qt/qtquickcontrols2-5.15.2:5
        || ( >=sys-fs/cryfs-0.9.9 >=sys-fs/encfs-1.9.2 ) >=kde-frameworks/kf-env-4
        || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.2:5'
      emerge.packages: kde-plasma/plasma-vault:5
      kit: kde-kit
      original.package.name: kde-plasma/plasma-vault
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/plasma-vault
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 36426a24787f145ac5bc937bc918ea7b1f437b067e91ba989b74ae262aaab3d4
compressiontype: zstd
files:
- usr/lib64/qt5/plugins/kf5/kded/plasmavault.so
- usr/lib64/qt5/plugins/kf5/kfileitemaction/plasmavaultfileitemaction.so
- usr/lib64/qt5/plugins/plasma/applets/plasma_applet_vault.so
- usr/share/kservices5/plasma-applet-org.kde.plasma.vault.desktop
- usr/share/locale/ar/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/az/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/bg/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ca/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/cs/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/da/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/de/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/el/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/en_GB/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/es/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/et/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/eu/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/fi/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/fr/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/gl/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/hu/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ia/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/id/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/it/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ja/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ka/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ko/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/lt/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ml/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/nl/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/nn/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/pa/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/pl/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/pt/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/pt_BR/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ro/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/ru/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sk/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sl/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sr/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sr@latin/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/sv/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/tg/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/tr/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/uk/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/zh_CN/LC_MESSAGES/plasmavault-kde.mo
- usr/share/locale/zh_TW/LC_MESSAGES/plasmavault-kde.mo
- usr/share/metainfo/org.kde.plasma.vault.appdata.xml
- usr/share/plasma/plasmoids/org.kde.plasma.vault/contents/ui/VaultItem.qml
- usr/share/plasma/plasmoids/org.kde.plasma.vault/contents/ui/main.qml
- usr/share/plasma/plasmoids/org.kde.plasma.vault/metadata.desktop
- usr/share/plasma/plasmoids/org.kde.plasma.vault/metadata.json
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CBUILD
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CHOST
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/COUNTER
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/DEPEND
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/EAPI
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/FEATURES
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/INHERITED
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/IUSE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/LICENSE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/NEEDED
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/PF
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/SIZE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/SLOT
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/USE
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/plasma-vault-5.27.9.ebuild
- var/db/pkg/kde-plasma/plasma-vault-5.27.9/repository
package_cacheimage: ""
runtime:
  name: plasma-vault
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - networkmanager
  requires:
  - name: qtquickcontrols2
    version: '>=0'
    category: dev-qt-5
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kdbusaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kio
    version: '>=0'
    category: kde-frameworks-5
  - name: networkmanager-qt
    version: '>=0'
    category: kde-frameworks-5
  - name: plasma
    version: '>=0'
    category: kde-frameworks-5
  - name: libksysguard
    version: '>=0'
    category: kde-plasma-5
  - name: cryfs
    version: '>=0'
    category: sys-fs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Plasma applet and services for creating encrypted vaults
  uri:
  - https://kde.org/ https://cukic.co/2017/02/03/vaults-encryption-in-plasma/
  license: LGPL-3
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtdeclarative-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
      >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kactivities-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
      >=kde-frameworks/plasma-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-plasma/libksysguard-5.27.9:5
      networkmanager? ( >=kde-frameworks/networkmanager-qt-5.98.0:5 ) dev-util/desktop-file-utils
      x11-misc/shared-mime-info >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils'
    IUSE: networkmanager debug
    RDEPEND: '>=dev-qt/qtdbus-5.15.2:5 >=dev-qt/qtdeclarative-5.15.2:5 >=dev-qt/qtgui-5.15.2:5
      >=dev-qt/qtwidgets-5.15.2:5 >=kde-frameworks/kactivities-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
      >=kde-frameworks/plasma-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-plasma/libksysguard-5.27.9:5
      networkmanager? ( >=kde-frameworks/networkmanager-qt-5.98.0:5 ) >=dev-qt/qtquickcontrols2-5.15.2:5
      || ( >=sys-fs/cryfs-0.9.9 >=sys-fs/encfs-1.9.2 ) >=kde-frameworks/kf-env-4 ||
      ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5'
    emerge.packages: kde-plasma/plasma-vault:5
    kit: kde-kit
    original.package.name: kde-plasma/plasma-vault
    original.package.slot: "5"
    original.package.version: 5.27.9
